*
{
    outline: 0px solid red;
    margin: 0px;
    padding: 0px;
    border: 0px;
    box-sizing: border-box;
}
html
{
    scroll-behavior:smooth;
}
body
{
    padding:0px;
    margin: 0px;
    background-color: rgb(20, 20, 71);
}
a
{
    text-decoration: none;
}
/* HEADER KODLARI */
header
{
    position:fixed;
    background-color: rgba(4, 5, 65, 0.658);
    width: 100%;
    height: 5vw;
    display: flex;
    text-align: center;
    justify-content: center;
    align-items:center;
    font-family: "Stack Sans Headline", sans-serif;
    font-weight: 500;
    font-size: 0.8vw;
    border-bottom: 0.5vw solid rgb(14, 7, 83);
    transition: transform 0.3s ease;
    z-index: 999;
}
header a
{
    color: aliceblue;
    padding: 5vw;
    padding-bottom:2vw;
    padding-top: 2vw;
    transition: 0.3s;
}
.header-hidden
{
    transform: translateY(-100%);
}
header a:hover
{
    color: rgb(97, 102, 107);
}
#Head-upperimg
{
    position: absolute;
    font-size: 4vw;
    color: aliceblue;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 16vw;
    padding-left: 50vw;
    font-family: "Boldonse", system-ui;
    font-weight: 400;
}
#head-title
{
    transition:opacity 1.6s ease;
    opacity: 0;
    text-shadow: 0.2vw 0.2vw #000000;
}
#head-title.fade
{
    opacity:1;
}
#head-text
{
    font-size: 1.5vw;
}
#head-img
{
    height: 48vw;
    width: 100%;
    user-select: none;
}
/* MY SKILSS KODLARI */
#my-skills-div
{
    background-image: url(../media/img/blue_wave.webp);
    background-attachment: fixed;
    width:100%;
    height: 45vw;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: right;
    font-family: "Bebas Neue", sans-serif;
    color: aliceblue;
    flex-direction: column;
    gap: 1vw;
}
.skills-text
{
    text-align: right;
    justify-content: end;
    align-items: end;
    font-size: 1.5vw;
    width: 10vw;
}
.skills-rate
{
    font-size: 1vw;
    color: rgb(202, 211, 219);
}
.skills-item
{
    gap: 1vw;
    display: flex;
    flex-direction: row;
    text-align: right;
    align-items:center;
    justify-content: center;
}
.skills-bar {
  position: relative;
  width: 50vw;
  height: 3vw;
  background-color: rgba(255,255,255,0.2);
  overflow: hidden;

  transform: translateX(-10vw);
  opacity: 0;
  transition: 0.8s ease;
}

#cs-value
{
  position: absolute;
  inset: 0;
  background: black;

  /* SOLDAN dolma */
  transform: translateX(-100%);
  transition: transform 0.8s ease;
  z-index: 1;
}
.skills-bar.active {
  transform: translateX(0);
  opacity: 1;
}

.fill {
  position: absolute;
  inset: 0;
  background: white;

  transform: translateX(-100%);
  transition: transform 1s ease;
}
/* EXPERIENCE KODLARI */
#experience-cv-div
{
    background-image:url(../media/img/cloud.webp);
    background-size: cover;
    width:100%;
    min-height: 60vw;
    font-family: "Bebas Neue", sans-serif;
}
#cv-div
{
    height: 20vw;
    width: 50vw;
    margin-left: 25vw;
    background-color: #696969c4;
    margin-top: 5vw;
    border-radius: 0.7vw;
    color: aliceblue;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2vw;
}
#cv-div p
{
    padding-left: 3vw;
    padding-right: 3vw;
    font-size: 2vw;
}
#cv-button
{
    user-select: none;
    cursor:pointer;
    background-color: aliceblue;
    color: #082b75;
    padding: 1vw;
    padding-left: 4vw;
    padding-right: 4vw;
    border-radius: 2vw;
    border: 0.25vw solid aliceblue;
    transition: 0.4s;
    font-size: 2vw;
}
#cv-button:hover
{
    background-color: #1849b4;
    color: aliceblue;
}
#cv-popup
{
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    z-index: 9998;
}
#cv-popup.show
{
    display: block;
}
.cv-popup-box
{
    width: 20vw;
    height: 12vw;
    display: flex;
    flex-direction: column;
    background: #fff;
    border-radius: 10px;
    text-align: center;
    position: relative;
    margin: 15% auto;
    animation: scaleIn 0.2s ease;
    user-select: none;
    cursor: pointer;
}
#closebtn
{
    position: absolute;
    top: 0.5vw;
    right: 0.5vw;
    user-select: none;
    cursor: pointer;
    font-size: 1vw;
    padding: 0.6vw;
}
.cv-popup-btn
{
    user-select: none;
    cursor:pointer;
    background-color: aliceblue;
    color: #082b75;
    padding: 1vw;
    padding-left: 4vw;
    padding-right: 4vw;
    border-radius: 2vw;
    border: 0.25vw solid aliceblue;
    transition: 0.4s;
    font-size: 1.6vw;
}
.cv-popup-btn:hover
{
    background-color: #1849b4;
    color: aliceblue;
}
#exp
{
    display: flex;
    flex-direction: row;
    margin-top: 10vw;
    margin-left: 15vw;
    height: 40vw;
    width: 70vw;
}
#exp img
{
    user-select: none;
    width: 4vw;
    height: 4vw;
    position: relative;
    bottom: 5vw;
    left: 1.5vw;
}
#exp-line
{
    transform-origin: top;
    transform: scaleY(0);
    height: 30vw;
    width: 0.25vw;
    background-color: #082b75;
}
#exp.animate #exp-line {
    animation: expGrowDown 1.2s ease-out forwards;
}
@keyframes expGrowDown {
    to {
        transform: scaleY(1);
    }
}

.exp-line1
{
    display: flex;
    flex-direction: column;
}
.exp-line2
{
    transform-origin: left;
    transform: scaleX(0);
    text-align: right;
    font-size: 3vw;
    margin-top:9.76vw;
    width:13vw;
    height: 0.25vw;
    background-color: #082b75;
    color: #082b75;
}
#exp.animate .exp-line2 {
    animation: expGrowRight 0.6s ease-out forwards;
    animation-delay: var(--delay);
}
@keyframes expGrowRight {
    to {
        transform: scaleX(1);
    }
}

.exp-line2dot
{
    position: relative;
    bottom: 1.65vw;
    left: 0.7vw;
    user-select: none;
    opacity: 0;
    transform: scale(0);
}
#exp.animate .exp-line2dot {
    animation: expDotPop 0.3s ease-out forwards;
    animation-delay: calc(var(--delay) + 0.3s);
}
@keyframes expDotPop {
    to {
        opacity: 1;
        transform: scale(1);
    }
}
.exp-group
{
    display: flex;
    flex-direction: column;
}
.exp-info
{
    color: #0a1d57c0;
    margin-top:5.5vw;
    padding-left: 1vw;
    font-size: 1.8vw;
}
#contact
{
    background-image:url(../media/img/pxfuel.webp);
    background-attachment: fixed;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    width:100%;
    min-height: 40vw;
    font-family: "Bebas Neue", sans-serif;
}
.contact-item img
{
    width: 2.5vw;
    height: 2.5vw;
}
.contact-div
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 30vw;
    width: 60vw;
    background-color: #051f57c2;
    border-radius: 3VW;
    gap: 1vw;
}
.contact-title
{
    padding-top: 2vw;
    color: aliceblue;
    font-size: 5VW;
    padding-bottom: 2vw;
}
.contact-item
{
    display: flex;
    justify-content: center;
    gap: 0.5vw;
    align-items: center;
    font-size: 1.9vw;
    text-decoration: underline;
    color: aliceblue;
}
.contact-logo
{
    margin: 1vw;
    width: 15vw;
    height: 15vw;
}